Represents product tags on an IG Media. See Product Tagging guide for complete usage details.
Available for the Instagram API with Facebook Login.
POST /<IG_MEDIA_ID>/product_tags
Create or update product tags on an existing IG Media.
x and y values will be updated with their new values (a new tag will not be added).| Type | Requirement |
|---|---|
Access Tokens | User |
The app user must have an admin role on the Business Manager that owns the IG User's Instagram Shop. | |
The IG User that owns the IG Media must have an approved Instagram Shop with a product catalog containing products. | |
If the app user was granted a role via the Business Manager on the Page connected to the targeted IG User, you will also need:
|
POST https://graph.facebook.com/<API_VERSION>/<IG_MEDIA_ID>/product_tags ?updated_tags=<LIST_OF_UPDATED_TAGS> &access_token=<ACCESS_TOKEN>
| Placeholder | Value |
|---|---|
| API version |
| Required. IG Media ID. |
| Key | Placeholder | Value |
|---|---|---|
|
| Required. App user's User access token. |
|
| Required. Applies only to images and videos. An array of objects specifying which product tags to tag the image or video with (maximum of 20 for Feed posts, maximum of 30 for Reels; tags and product IDs must be unique). Each object should have the following information:
For example:
|
An object indicating success or failure.
{
"success": {success}
}| Property | Value |
|---|---|
| Returns |
curl -i -X POST \
"https://graph.facebook.com/v25.0/90010778325754/product_tags?updated_tags=%5B%0A%20%20%7B%0A%20%20%20%20product_id%3A'3859448974125379'%2C%0A%20%20%20%20x%3A%200.5%2C%0A%20%20%20%20y%3A%200.8%0A%20%20%7D%0A%5D&access_token=EAAOc..."For reference, here is the HTML-decoded POST payload string:
https://graph.facebook.com/v25.0/90010778325754/product_tags?updated_tags=[
{
product_id:'3859448974125379',
x: 0.5,
y: 0.8
}
]&access_token=EAAOc...
{
"success": true
}GET /<IG_MEDIA_ID>/product_tags
Get a collection of product tags on an IG Media. See the Product Tagging guide for complete product tagging steps.
| Type | Requirement |
|---|---|
Access Tokens | User |
The app user must have an admin role on the Business Manager that owns the IG User's Instagram Shop. | |
The IG User that owns the IG Media must have an approved Instagram Shop with a product catalog containing products. | |
If the app user was granted a role via the Business Manager on the Page connected to the targeted IG User, you will also need:
|
GET https://graph.facebook.com/<API_VERSION>/<IG_MEDIA_ID>/product_tags ?access_token=<ACCESS_TOKEN>
| Placeholder | Value |
|---|---|
| API version |
| Required. IG Media ID. |
| Key | Placeholder | Value |
|---|---|---|
|
| Required. App user's User access token. |
A JSON-formatted object containing an array of product tags on an IG Media. Responses can include the following product tag fields:
{
"data": [
{
"product_id": {product-id},
"merchant_id": {merchant-id},
"name": "{name}",
"price_string": "{price-string}",
"image_url": "{image-url}",
"review_status": "{review-status}",
"is_checkout": {is-checkout},
"stripped_price_string": "{stripped-price-string}",
"string_sale_price_string": "{string-sale-price-string}",
"x": {x},
"y": {y}
}
]
}| Property | Value |
|---|---|
| Product ID. |
| Merchant ID. |
| Product name. |
| Price string. |
| Product image URL. |
| Product review status. Values can be:
|
| If |
| Product short price string (price displayed in constrained spaces, such as |
| Product sale price. |
| A float that indicates percentage distance from left edge of media image. Value within |
| A float that indicates percentage distance from top edge of media image. Value within |
curl -i -X GET \
"https://graph.facebook.com/v25.0/90010778325754/product_tags?access_token=EAAOc..."
{
"data": [
{
"product_id": 3231775643511089,
"merchant_id": 90010177253934,
"name": "Gummy Bears",
"price_string": "$3.50",
"image_url": "https://scont...",
"review_status": "approved",
"is_checkout": true,
"stripped_price_string": "$3.50",
"stripped_sale_price_string": "$3",
"x": 0.5,
"y": 0.80000001192093
}
]
}See Creating.